Contacts
/contacts
Get contacts
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Query Parameters
search?string
status?string
Value in
"active" | "inactive" | "pending"type?string
Value in
"owner" | "vendor"companyType?string
Value in
"c_corporation" | "limited_liability_company" | "partnership" | "s_corporation" | "trust_estate"isIndividual?boolean
shortRefs?string
comma separated contact short refs
limit?number
Default
100Range
1 <= value <= 250page?number
Default
1Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.vrplatform.app/contacts"{
"data": [
{
"address": {
"full": "string",
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"postalCode": "string",
"stateCode": "string",
"countryCode": "string"
},
"type": "owner",
"email": "user@example.com",
"firstName": "string",
"name": "string",
"phone": "string",
"connectionId": "string",
"companyType": "c_corporation",
"taxIdentifier": "string",
"uniqueRef": "string",
"status": "active",
"payoutAccountId": "f16cca2a-0289-41e7-992d-7fd2e711757a",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"shortRef": "string",
"source": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"status": "active",
"appId": "string",
"appIcon": "string"
},
"ownershipPeriods": [
{
"listingId": "string",
"split": 0,
"startAt": "string",
"endAt": "string"
}
],
"activeOwnerships": [
{
"listingId": "string",
"split": 0,
"startAt": "string",
"endAt": "string"
}
]
}
],
"pagination": {
"limit": 100,
"page": 1,
"total": 0,
"totalPage": 0,
"nextPage": 0
}
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}